package cn.estsh.i3plus.ext.mes.api.base.ep;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesEpEquipmentCheckDetail;
import cn.estsh.i3plus.ext.mes.pojo.model.ExcelEquipmentCheckDetail;
import cn.estsh.i3plus.ext.mes.pojo.model.ep.EpEquipmentCheckDetailModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;

public interface IEpEquipmentCheckDetailService {
    /**
     * 转变集团检查更新
     * 新增
     *
     * @param details 转变组织检查
     * @return int
     */
    void updateShiftGroupCheck(List<MesEpEquipmentCheckDetail> details);

    /**
     * 质量检查更新
     * 修改
     *
     * @param details 转变组织检查
     * @return int
     */
    void updateQualityCheck(List<MesEpEquipmentCheckDetail> details);

    /**
     * 查询
     * @param equipmentCheckDetail 设备点检详细信息
     * @param pager 分页
     * @return
     */
    ListPager<EpEquipmentCheckDetailModel> queryByPager(MesEpEquipmentCheckDetail equipmentCheckDetail, Pager pager);

    /**
     * 根据
     * @param id
     * @param status
     * @return
     */
    int updateIsValidById(long id, Integer status);


    /**
     * 导入数据
     *
     * @param excelEquipmentCheckDetails excel部分自动降落
     */
    void importData(List<ExcelEquipmentCheckDetail> excelEquipmentCheckDetails);
}
