package cn.estsh.i3plus.ext.mes.pojo.model;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Author: xiangming.liao
 * @CreateDate: 2021/02/03 9:35
 * @Description:
 **/
@Data
@ApiModel("工序点检项目导出model")
public class ExcelProcessCheckModel implements Serializable{
    private static final long serialVersionUID = -5109792754542554443L;

    @ApiParam("工序代码")
    private String processCode;

    @ApiParam("工序名称")
    private String processName;

    @ApiParam("点检信息")
    private String checkInfo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;
}
