package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("单据作业MODEL")
public class SxOrderJobModel implements Serializable {

    private static final long serialVersionUID = -7271156224796055344L;

    @ApiParam("id")
    private Long id;

    @ApiParam("作业类型")
    private Integer taskType;

    @ApiParam(value = "单据类型")
    public Integer orderType;

    @ApiParam(value ="单据编号")
    private String orderNo;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam(value ="单据状态")
    private Integer orderStatus;

    @ApiParam("单据日期")
    private String orderDate;

    @ApiParam("作业时间")
    private String workTime;

    @ApiParam("生成时间")
    private String generateTime;

    @ApiParam("完成时间")
    private String complateTime;

    @ApiParam("是否手动创建 10手动创建 20自动创建")
    private Integer handlerMethod;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("工位集合")
    private String cellCollect;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("有效性")
    private Integer isValid;

    @ApiParam("是否已删除")
    private Integer isDeleted;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    @ApiParam("作业类型")
    private String taskTypeName;

    @ApiParam(value = "单据类型")
    public String orderTypeName;

    @ApiParam(value ="单据状态")
    private String orderStatusName;

    @ApiParam("是否手动创建 10手动创建 20自动创建")
    private String handlerMethodName;

    @ApiParam("关闭原因")
    private String closeReason;

    @ApiParam("关闭时间")
    private String closeTime;

    @ApiParam("关闭人")
    private String closeUser;

}
