package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("生产数据报表model")
public class SxProductDataReportParamModel implements Serializable {

    private static final long serialVersionUID = 5083642662723546052L;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建日期开始")
    private String createDatetimeStart;

    @ApiParam("创建日期结束")
    private String createDatetimeEnd;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("工位代码")
    private String workCellCode;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("产品条码")
    private String productSn;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("管理编码")
    private String manageCode;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("对象代码")
    private String objectCode;

}
