package cn.estsh.i3plus.ext.mes.pojo.model;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("生产数据报表model")
public class SxProductDataReportResultModel implements Serializable {

    private static final long serialVersionUID = -1555734000216930369L;

    @ApiParam("报表属性")
    private List<SxProductDataReportAttributeModel> attributeModelList;

    @ApiParam("分页数据")
    private ListPager<List<Map<String, String>>> listPager;

}
