package cn.estsh.i3plus.ext.mes.pojo.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("机种别工数 报表model")
public class SxStandardWorkReportModel implements Serializable {

    private static final long serialVersionUID = -3337935532310777384L;

    @ApiParam("作业时间")
    private String workTime;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作中心名称")
    private String workCenterName;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("作业时间开始")
    private String workTimeStart;

    @ApiParam("作业时间结束")
    private String workTimeEnd;

    @ApiParam("查询维度")
    private Integer dimension;

    @ApiParam("查询维度")
    private Integer dimension1;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("班次名称")
    private String shiftName;

    @ApiParam("总时间")
    private Double totalWorkTime;

    @ApiParam("实际工数")
    private Double realWork;

    @ApiParam("标准工数")
    private Double standardWork;

    @ApiParam("生产台数")
    private Double qty;

    @ApiParam("工数比率(工数差)")
    private Double workRate;

}
