package cn.estsh.i3plus.ext.mes.pojo.model.jx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author xinwang.yi
 * @version 1.0
 * @date 2023/12/21 15:32
 **/
@Data
@ApiModel("管理码信息model")
public class JxManageCodeModel implements Serializable {

    private static final long serialVersionUID = 1147109734364012401L;

    @ApiParam("id")
    private Long id;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("用户名")
    public String userInfo;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("产线代码")
    private String workCenterCode;

    @ApiParam("管理码")
    private String manageCode;

}
