package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesFailCaseCheck;
import cn.estsh.i3plus.ext.mes.pojo.model.ExcelFailCaseCheck;
import cn.estsh.i3plus.ext.mes.pojo.model.FailCaseCheckModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/2 13:41
 **/
public interface IFailCaseCheckService {

    /**
     * 新增
     *
     * @param failCaseCheck
     * @return
     */
    MesFailCaseCheck insert(MesFailCaseCheck failCaseCheck);

    /**
     * 修改
     *
     * @param failCaseCheck
     * @return
     */
    MesFailCaseCheck update(MesFailCaseCheck failCaseCheck);

    /**
     * 查询
     *
     * @param failCaseCheck
     * @param pager
     * @return
     */
    ListPager<FailCaseCheckModel> queryByPager(MesFailCaseCheck failCaseCheck, Pager pager);

    /**
     * 根据
     *
     * @param id
     * @param status
     * @return
     */
    int updateIsValidById(long id, Integer status);


    /**
     * 导入数据
     *
     * @param excelfailCaseChecks excel部分自动降落
     */
    void importData(List<ExcelFailCaseCheck> excelfailCaseChecks);
}
