package cn.estsh.i3plus.ext.mes.api.base.jx;

import io.swagger.annotations.ApiOperation;

/**
 * @Description:MES_松下工位节拍PLC配置接口
 * @Reference:
 * @Author: jessica.chen
 * @CreateDate: 2019\11\13 13:56
 * @Modify:
 **/
public interface IJxProcessExtService {

    /**
     * 批量软删数据
     *
     * @param ids      id数组
     * @param userName 操作人
     */
    @ApiOperation("批量软删数据")
    int deleteWeaklySProcessByIds(String[] ids, String userName);

    /**
     * 批量禁用/启用数据有效性
     *
     * @param ids      id数组
     * @param status   更新状态
     * @param userName 操作人
     * @return 操作行数
     */
    @ApiOperation(value = "批量禁用/启用数据有效性")
    int updateProcessValid(String[] ids, int status, String userName);
}
