package cn.estsh.i3plus.ext.mes.api.busi.bu3;

import cn.estsh.i3plus.ext.mes.pojo.model.bu3.SxDailyCheckConfirmRecordDataModel;
import cn.estsh.i3plus.ext.mes.pojo.model.bu3.SxDailyCheckConfirmRecordModel;
import io.swagger.annotations.ApiOperation;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface ISxDailyCheckConfirmRecordDataService {

    /**
     * 验证
     * @param obj 查询条件
     */
    @ApiOperation(value = "验证", notes = "验证")
    void check(Object... obj);

    /**
     * 确认记录
     * @param data 查询条件
     * @return 确认记录
     */
    @ApiOperation(value = "确认记录", notes = "确认记录")
    List<SxDailyCheckConfirmRecordModel> confirmList(SxDailyCheckConfirmRecordModel data);

    /**
     * 列名
     * @param data 查询条件
     * @return 结果
     */
    @ApiOperation(value = "确认记录", notes = "确认记录")
    SxDailyCheckConfirmRecordDataModel cellFieldMap(SxDailyCheckConfirmRecordDataModel data);

    /**
     * 查询
     * @param data 查询条件
     * @return 结果
     */
    @ApiOperation(value = "查询", notes = "查询")
    SxDailyCheckConfirmRecordDataModel query(SxDailyCheckConfirmRecordDataModel data);

    /**
     * 执行确认
     * @param data 查询条件
     */
    @ApiOperation(value = "执行确认", notes = "执行确认")
    void doConfirm(SxDailyCheckConfirmRecordModel data);

    /**
     * 执行导出
     * @param resp HttpServletResponse
     * @param data 查询条件
     */
    @ApiOperation(value = "执行导出", notes = "执行导出")
    void doDownLoad(HttpServletResponse resp, SxDailyCheckConfirmRecordDataModel data);
}
