package cn.estsh.i3plus.ext.mes.api.busi.ep;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesOutPutStatistics;
import cn.estsh.i3plus.ext.mes.pojo.bean.MesRepairTask;
import cn.estsh.i3plus.ext.mes.pojo.model.ep.EpOutPutStatisticsModel;
import cn.estsh.i3plus.ext.mes.pojo.model.ep.EpRepairTaskModel;

import java.util.List;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-04-06 16:38
 */
public interface IEpQmsGetDataStatisticsService {

    List<EpOutPutStatisticsModel> queryMesOutPutStatisticsByTimeAndWorkOrderType(String organizeCode, String startTime, String endTime, Integer workOrderType);

    List<EpOutPutStatisticsModel> queryOutPutStatisticsByTimeAndIsOqc(String organizeCode, String startTime, String endTime, Integer workOrderType);

    List<EpRepairTaskModel> queryMesRepairTaskStatistics(String organizeCode, String startTime, String endTime);

    List<EpOutPutStatisticsModel> queryMesOutPutStatisticsByWorkOrderNoList(EpOutPutStatisticsModel model);

}
