package cn.estsh.i3plus.ext.mes.apiservice.dao;

import cn.estsh.i3plus.ext.mes.pojo.model.MesAssistOutAndEnterDateSumModel;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @author yinxiao
 * @date 2023-2023/2/6 15:42
 * @Description
 */
public interface IMesAssistOutAndEnterDao {

    /**
     * 查询4M管理信息数量
     *
     * @param assistOutAndEnter 查询条件
     * @return 4M管理信息数量
     */
    @ApiOperation(value = "查询援入援出明细记录", notes = "查询援入援出明细记录")
    int queryAssistOutAndEnterByPagerCount(MesAssistOutAndEnterDateSumModel assistOutAndEnter);

    /**
     * 查询4M管理信息集合
     *
     * @param assistOutAndEnter 查询条件
     * @return 4M管理信息集合
     */
    @ApiOperation(value = "查询援入援出明细记录", notes = "查询援入援出明细记录")
    List<MesAssistOutAndEnterDateSumModel> queryAssistOutAndEnter(MesAssistOutAndEnterDateSumModel assistOutAndEnter);
}
