package cn.estsh.i3plus.ext.mes.pojo.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("管理团队vo")
public class MesTeamManagementIntroduceVo implements Serializable {
    private static final long serialVersionUID = 1093766266812642853L;

    @ApiParam("产线代码")
    private String workCenterCode;

    @ApiParam("班组长照片")
    private String shiftPhotoUrl;

    @ApiParam("团队照片")
    private String teamPhotoUrl;

    @ApiParam("团队口号")
    private String teamSlogan;

    @ApiParam("团队年度目标")
    private String teamYearTarget;

    @ApiParam("创建人")
    private String createUser;

    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("更新人")
    private String modifyUser;

    @ApiParam("更新时间")
    private String modifyDatetime;

    @ApiParam("id")
    private Long id;

}
